<section class="feedback">
  <div class="modal-header">
    <button type="button"
            class="close"
            aria-label="Close"
            (click)="closeModal()"
            data-dismiss="modal">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body pb-3 px-2">
    <div class="container">
      <div class="row mb-2">
        <div class="col text-center pb-3">
          <img src="assets/img/logo-satu-peta-dark.png"
               alt="logo satu peta"
               height="66" />
        </div>
      </div>
      <div class="row mb-2">
        <div class="col p-2 text-center">
          Bantu kami meningkatkan layanan dengan feedback Anda.
        </div>
      </div>
      <div class="row ">
        <div class="col p-2 text-center fw-bold">
          Seberapa puaskah Anda dengan layanan yang kami berikan ?<span class="text-danger">*</span>
        </div>
      </div>
      <div class="row text-center rating mx-2">
        <div class="col m-1 p-0"
             [ngClass]="{'rating-choosed': formFeedback.score === 0}"
             (click)="setScore(0)">
          <img src="assets/img/feedback-emoji-0.svg"
               height="40"
               alt="emoji-score-0" />
          <div class="mt-1 rating-label">
            Sangat Tidak Puas
          </div>
        </div>
        <div class="col m-1 p-0"
             [ngClass]="{'rating-choosed': formFeedback.score === 1}"
             (click)="setScore(1)">
          <img src="assets/img/feedback-emoji-1.svg"
               height="40"
               alt="emoji-score-1" />
          <div class="mt-1 rating-label">
            Tidak Puas
          </div>
        </div>
        <div class="col m-1 p-0"
             [ngClass]="{'rating-choosed': formFeedback.score === 2}"
             (click)="setScore(2)">
          <img src="assets/img/feedback-emoji-2.svg"
               height="40"
               alt="emoji-score-2" />
          <div class="mt-1 rating-label">
            Biasa saja
          </div>
        </div>
        <div class="col m-1 p-0"
             [ngClass]="{'rating-choosed': formFeedback.score === 3}"
             (click)="setScore(3)">
          <img src="assets/img/feedback-emoji-3.svg"
               height="40"
               alt="emoji-score-3" />
          <div class="mt-1 rating-label">
            Puas
          </div>
        </div>
        <div class="col m-1 p-0"
             [ngClass]="{'rating-choosed': formFeedback.score === 4}"
             (click)="setScore(4)">
          <img src="assets/img/feedback-emoji-4.svg"
               height="40"
               alt="emoji-score-4" />
          <div class="mt-1 rating-label">
            Sangat Puas
          </div>
        </div>
      </div>
      <div class="row mt-2">
        <div class="col">
          <div class="fw-bold">Apa tujuan utama Anda mengunjungi laman Satu Peta Jabar hari ini ?<span
                  class="text-danger">*</span></div>
          <ng-select class="mt-2"
                     placeholder="Pilih tujuan"
                     [clearable]="false"
                     [searchable]="false"
                     [(ngModel)]="formFeedback.tujuan"
                     (change)="validateForm()">
            <ng-option *ngFor="let item of feedbackInfo.tujuan"
                       [value]="item.nama">{{ item.nama }}</ng-option>
          </ng-select>
        </div>
      </div>
      <div class="row mt-3">
        <div class="col">
          <div class="fw-bold">Pilih sektor/grup berikut yang mewakili posisi Anda saat ini<span
                  class="text-danger">*</span></div>
          <ng-select class="mt-2"
                     placeholder="Pilih sektor"
                     [clearable]="false"
                     [searchable]="false"
                     [(ngModel)]="formFeedback.sektor"
                     (change)="validateForm()">
            <ng-option *ngFor="let item of feedbackInfo.sektor"
                       [value]="item.nama">{{ item.nama }}</ng-option>
          </ng-select>
        </div>
      </div>
      <div class="row mt-3">
        <div class="col">
          <div class="fw-bold">Apakah Anda berhasil menemukan data atau informasi yang dicari ?<span
                  class="text-danger">*</span></div>
          <div class="custom-control custom-radio mt-2">
            <input type="radio"
                   id="rd_1"
                   name="rd"
                   class="custom-control-input"
                   [checked]="formFeedback.tujuan_tercapai"
                   (click)="setTujuanTercapai(true)">
            <label class="custom-control-label green"
                   for="rd_1">Ya</label>
          </div>
          <div class="custom-control custom-radio">
            <input type="radio"
                   id="rd_2"
                   name="rd"
                   class="custom-control-input"
                   [checked]="!formFeedback.tujuan_tercapai"
                   (click)="setTujuanTercapai(false)">
            <label class="custom-control-label red"
                   for="rd_2">Tidak</label>
          </div>
        </div>
      </div>
      <div class="row mt-3"
           *ngIf="formFeedback.tujuan_tercapai">
        <div class="col">
          <div class="fw-bold">Apakah informasi yang Anda cari mudah untuk didapatkan ?<span
                  class="text-danger">*</span></div>
          <div class="custom-control custom-radio mt-2">
            <input type="radio"
                   id="rd_3"
                   name="rd2"
                   class="custom-control-input"
                   [checked]="formFeedback.tujuan_mudah_ditemukan"
                   (click)="setTujuanMudahDitemukan(true)">
            <label class="custom-control-label green"
                   for="rd_3">Ya</label>
          </div>
          <div class="custom-control custom-radio">
            <input type="radio"
                   id="rd_4"
                   name="rd2"
                   class="custom-control-input"
                   [checked]="!formFeedback.tujuan_mudah_ditemukan"
                   (click)="setTujuanMudahDitemukan(false)">
            <label class="custom-control-label red"
                   for="rd_4">Tidak</label>
          </div>
        </div>
      </div>
      <div class="row mt-3"
           *ngIf="!formFeedback.tujuan_tercapai">
        <div class="col">
          <div class="fw-bold">Manakah dari masalah dalam mendapatkan data berikut yang Anda alami ?<span
                  class="text-danger">*</span></div>
          <div class="custom-control custom-checkbox mt-2"
               *ngFor="let masalah of feedbackInfo.masalah; let i = index">
            <input class="custom-control-input"
                   type="checkbox"
                   [id]="'cbMasalah' + i"
                   [value]="masalah.nama"
                   (change)="setMasalah(masalah.nama, $event.target.checked)">
            <label class="custom-control-label"
                   [for]="'cbMasalah' + i">{{ masalah.nama }}</label>
          </div>
        </div>
      </div>
      <div class="row mt-3">
        <div class="col">
          <div class="fw-bold">Berikan saran dan masukan Anda untuk Satu Peta Jabar agar kami dapat memberikan layanan
            lebih baik lagi</div>
          <textarea class="form-control mt-2"
                    rows="3"
                    placeholder="Tuliskan saran Anda"
                    [(ngModel)]="formFeedback.saran"></textarea>
        </div>
      </div>
      <div class="row mt-4">
        <div class="col text-center">
          <button type="button"
                  class="btn btn-success py-3 px-5"
                  (click)="submitForm()"
                  [disabled]="!isValidForm">Kirim</button>
        </div>
      </div>
    </div>
  </div>

  <swal #failSwal
        title="Oops..."
        text="Feedback gagal dikirim"
        icon="error">
  </swal>
  <swal #successSwal
        title="Berhasil"
        text="Terima kasih atas Penilaian dan Feedback yang telah Anda berikan"
        icon="success">
  </swal>
</section>